MOUNTD(8)

NAME
mountd - service remote NFS mount requests

SYNOPSIS
Obsolete. See nfsd(8).

DESCRIPTION
The mountd daemon was formerly the server for NFS mount requests from NFS clients. This functionality has been moved into the NFS server daemon nfsd(8).

Please refer to nfsd(8) for NFS server documenation.

The following is a list of former mountd options that are now available as nfsd(8) options:
mountd option | nfsd option | Description
-n | -N | allow non-root mounts
-r | -R | allow regular file mounts
exportsfile | -F exportsfile | alternate exports file

However, such configuration options are normally specified via nfs.conf(5).

When the NFS server is started, it loads the export host addresses and options into the kernel using the nfssvc(2) system call. After changing the list of exports (either directly or indirectly via a change in netgroup membership), the administrator should send a hangup signal to the nfsd daemon to get it to reload the export information:

    kill -s HUP `cat /var/run/nfsd.pid`

For backwards compatibility, the following should also work:

    kill -s HUP `cat /var/run/mountd.pid`

Any errors encountered while processing the export entries will be logged via syslog(3).

FILES
/etc/exports
    the list of exported filesystems
/var/run/mountd.pid
    the pid of the currently running mountd
/var/run/mountdtab
    the current list of outstanding mounts served
/var/run/mountdexptab
    information about exported file systems and directories (UUIDs, handles, ...)

SEE ALSO
nfsd(8), exports(5), nfs.conf(5), nfsstat(1), portmap(8), showmount(8)

HISTORY
The mountd utility first appeared in 4.4BSD. It's functionality was merged into nfsd(8) in Darwin 9.